Reporter
Request a report
How to request reports via the Volt Report API
To generate a report, send a POST request to the appropriate endpoint with your desired parameters.
Endpoints
API Reference
Create Payment report
POST/reports/payments
API Reference
Create Connect report
POST/reports/connect/{bankAccountId}
API Reference
Create Payouts report
POST/reports/payouts
API Reference
Create Refund report
POST/reports/refund
API Reference
Create Audit Log report
POST/reports/auditlog
Settlement reports are generated automatically and don't require a request endpoint.
Request parameters
Prop
Type
Maximum timeframe: 92 days between startDate and endDate.
Request examples
POST https://gateway.volt.io/reports/payments
Authorization: Bearer YOUR_ACCESS_TOKEN
Content-Type: application/json
{
"startDate": "2026-01-01T00:00:00Z",
"endDate": "2026-01-31T23:59:59Z"
}With customerId filter:
POST https://gateway.volt.io/reports/payments
Authorization: Bearer YOUR_ACCESS_TOKEN
Content-Type: application/json
{
"startDate": "2026-01-01T00:00:00Z",
"endDate": "2026-01-31T23:59:59Z",
"customerId": "550e8400-e29b-41d4-a716-446655440000"
}Response
{
"id": "report-uuid-here",
"type": "PAYMENTS",
"status": "REPORT_REQUESTED",
"createdAt": "2024-01-15T10:30:00Z"
}| Field | Description |
|---|---|
id | Unique report identifier - use this to fetch status and download |
type | Report type (PAYMENTS, CONNECT, AUDIT_LOG) |
status | Current status of the report |
createdAt | When the report was requested |
Frequency of requesting a report status
We recommend requesting the report status at a maximum frequency of once per second.
The report generation can take a couple of seconds, depending on how much data needs to be processed for it.
While the report is generated the report status is REPORT_GENERATING.
Wallet reports
- Use the Stablecoins API host and
X-Volt-Api-Version: 1. - See Wallet report for the request, period rules and limits.
Next steps
After requesting a report, you need to poll for its status and download it once available.
How is this guide?
Last updated on